Bug 1956423 (CVE-2021-3530) - CVE-2021-3530 binutils: stack memory exhaustion in demangle_path() in rust-demangle.c
Summary: CVE-2021-3530 binutils: stack memory exhaustion in demangle_path() in rust-de...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2021-3530
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1956424 1956425
Blocks: 1956426 1954144
TreeView+ depends on / blocked
 
Reported: 2021-05-03 16:33 UTC by Guilherme de Almeida Suckevicz
Modified: 2021-05-12 14:11 UTC (History)
25 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-05-04 10:46:55 UTC


Attachments (Terms of Use)

Description Guilherme de Almeida Suckevicz 2021-05-03 16:33:05 UTC
A flaw was discovered in GNU libiberty within demangle_path() in rust-demangle.c, as distributed in GNU Binutils version 2.36. A crafted symbol can cause stack memory to be exhausted leading to a crash.


Reference:
https://bugs.launchpad.net/ubuntu/+source/binutils/+bug/1925348

Comment 1 Guilherme de Almeida Suckevicz 2021-05-03 16:33:34 UTC
Created binutils tracking bugs for this issue:

Affects: fedora-all [bug 1956424]


Created mingw-binutils tracking bugs for this issue:

Affects: fedora-all [bug 1956425]

Comment 3 Product Security DevOps Team 2021-05-04 10:46:55 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2021-3530

Comment 5 Guilherme de Almeida Suckevicz 2021-05-12 14:08:25 UTC
Acknowledgments:

Name: chengxianglin


Note You need to log in before you can comment on or make changes to this bug.